diff --recursive --unified=5 src/main-ros.c src-riscos/main-ros.c
--- src/main-ros.c	Sun May 12 17:18:12 2002
+++ src-riscos/main-ros.c	Thu May 30 16:52:56 2002
@@ -3806,103 +4051,103 @@
 
 
 /*
  | Handle selections from the iconbar menu
  */
-static BOOL Hnd_IbarMenu( event_pollblock *pb, void *ref )
+static BOOL Hnd_IbarMenu(event_pollblock * pb, void *ref)
 {
 	mouse_block mb;
-	Wimp_GetPointerInfo( &mb );
+	Wimp_GetPointerInfo(&mb);
 
-	switch ( pb->data.selection[0] )
+	switch (pb->data.selection[0])
 	{
-		case IBAR_MENU_INFO : /* Info> */
+		case IBAR_MENU_INFO:	/* Info> */
 			break;
-		case IBAR_MENU_FULLSCREEN : /* Full screen */
+		case IBAR_MENU_FULLSCREEN:	/* Full screen */
 			/* Do Full Screen mode */
 			enter_fullscreen_mode();
 			break;
-		case IBAR_MENU_GAMMA : /* Gamma correction */
+		case IBAR_MENU_GAMMA:	/* Gamma correction */
 			break;
-		case IBAR_MENU_SOUND : /* Sound */
+		case IBAR_MENU_SOUND:	/* Sound */
 			/*
-			 | enable_sound = !enable_sound;
-			 | if ( enable_sound ) { initialise_sound(); }
-			 | Menu_SetFlags( ibar_menu, IBAR_MENU_SOUND, enable_sound, 0 );
-			 | set_sound_window_state();
+			   | enable_sound = !enable_sound;
+			   | if ( enable_sound ) { initialise_sound(); }
+			   | Menu_SetFlags( ibar_menu, IBAR_MENU_SOUND, enable_sound, 0 );
+			   | set_sound_window_state();
 			 */
 			break;
-		case IBAR_MENU_WINDOWS : /* Windows> */
+		case IBAR_MENU_WINDOWS:	/* Windows> */
 			/*
-			 | Hack: pass it off as the equivalent selection from
-			 | the term menu.
+			   | Hack: pass it off as the equivalent selection from
+			   | the term menu.
 			 */
 			pb->data.selection[0] = TERM_MENU_WINDOWS;
-			return Hnd_TermMenu(pb,ref);
+			return Hnd_TermMenu(pb, ref);
 			break;
-		case IBAR_MENU_SAVECHOICES : /* Save choices */
+		case IBAR_MENU_SAVECHOICES:	/* Save choices */
 			save_choices();
 			break;
-		case IBAR_MENU_QUIT : /* Quit */
-			if ( game_in_progress && character_generated )
+		case IBAR_MENU_QUIT:	/* Quit */
+			if (game_in_progress && character_generated)
 				save_player();
 			quit(NULL);
 			break;
 	}
 
-	if ( mb.button.data.adjust )
+	if (mb.button.data.adjust)
 		Menu_ShowLast();
 
 	return TRUE;
 }
 
 
 
 
 
-static BOOL Hnd_MenuSel( event_pollblock *pb, void *ref )
+static BOOL Hnd_MenuSel(event_pollblock * pb, void *ref)
 {
-	if ( menu_currentopen == ibar_menu )
-		return Hnd_IbarMenu(pb,ref);
-	else if ( menu_currentopen == term_menu )
-		return Hnd_TermMenu(pb,ref);
+	if (menu_currentopen == ibar_menu)
+		return Hnd_IbarMenu(pb, ref);
+	else if (menu_currentopen == term_menu)
+		return Hnd_TermMenu(pb, ref);
 	return FALSE;
 }
 
 
-static BOOL Hnd_IbarClick( event_pollblock *pb, void *ref )
+static BOOL Hnd_IbarClick(event_pollblock * pb, void *ref)
 {
-	if ( pb->data.mouse.button.data.menu )
+	if (pb->data.mouse.button.data.menu)
 	{
 		set_gamma_window_state();
 		set_sound_window_state();
 
 		/* Hack: shade the Save> option if appropriate */
-		if ( game_in_progress && character_generated)
-			Menu_SetFlags( ibar_menu, IBAR_MENU_SAVE, 0, PDEADCHK );
+		if (game_in_progress && character_generated)
+			Menu_SetFlags(ibar_menu, IBAR_MENU_SAVE, 0, PDEADCHK);
 		else
-			Menu_SetFlags( ibar_menu, IBAR_MENU_SAVE, 0, TRUE );
+			Menu_SetFlags(ibar_menu, IBAR_MENU_SAVE, 0, TRUE);
 
 		/*
-		 | Hack: set up the Term menu as if it was opened over the main
-		 | window (so that the Windows> submenu is set correctly)
+		   | Hack: set up the Term menu as if it was opened over the main
+		   | window (so that the Windows> submenu is set correctly)
 		 */
-		menu_term = (term_data*) &data[0];
-		set_up_term_menu( menu_term );
+		menu_term = (term_data *)&data[0];
+		set_up_term_menu(menu_term);
 
-		Menu_Show( ibar_menu, pb->data.mouse.pos.x, -1 );
+		Menu_Show(ibar_menu, pb->data.mouse.pos.x, -1);
 		return TRUE;
 	}
 
-	if ( pb->data.mouse.button.data.select )
+	if (pb->data.mouse.button.data.select)
 	{
 		show_windows();
 		grab_caret();
 		return TRUE;
 	}
 
-	if ( pb->data.mouse.button.data.adjust )
+	if (pb->data.mouse.button.data.adjust)
 	{
 		enter_fullscreen_mode();
 		return TRUE;
 	}
 
@@ -3915,241 +4160,244 @@
 
 
 /*
  | Handler for PreQuit messages (eg. at shutdown).
  */
-static BOOL Hnd_PreQuit( event_pollblock *b, void *ref )
+static BOOL Hnd_PreQuit(event_pollblock * b, void *ref)
 {
 	BOOL shutdown = (b->data.message.data.words[0] & 1) == 0;
 	task_handle originator = b->data.message.header.sender;
 	unsigned int quitref;
 	message_block mb;
 	char buffer1[64];
 	os_error e;
 	int ok;
 
-	if ( !(game_in_progress && character_generated) )
-		return TRUE;						/* ignore, we're OK to die */
+	if (!(game_in_progress && character_generated))
+		return TRUE;			/* ignore, we're OK to die */
 
 	/* Stop the shutdown/quit */
-	memcpy( &mb, &(b->data.message), 24 );
+	memcpy(&mb, &(b->data.message), 24);
 	quitref = mb.header.yourref;
 	mb.header.yourref = mb.header.myref;
-	Wimp_SendMessage( event_ACK, &mb, originator, 0 );
+	Wimp_SendMessage(event_ACK, &mb, originator, 0);
 
 	/*
-	 | We handle this differently depending on the version of the Wimp;
-	 | newer versions give us much more flexibility.
+	   | We handle this differently depending on the version of the Wimp;
+	   | newer versions give us much more flexibility.
 	 */
-	if ( event_wimpversion<350 )
+	if (event_wimpversion < 350)
 	{
 		/*
-		 | Older versions - use 'OK' and 'Cancel'.
-		 | There is no "Save & Quit" button.
+		   | Older versions - use 'OK' and 'Cancel'.
+		   | There is no "Save & Quit" button.
 		 */
-		Msgs_Lookup( "err.shuttitl:Query from %s",e.errmess,64 );
-		sprintf(buffer1,e.errmess,VARIANT);
+		Msgs_Lookup("err.shuttitl:Query from %s", e.errmess, 64);
+		sprintf(buffer1, e.errmess, VARIANT);
 		Msgs_Lookup("err.shutdown:Unsaved game; are you sure you want to quit?",
-														e.errmess,260);
+					e.errmess, 260);
 		e.errnum = 0;
-		SWI( 3,2, SWI_Wimp_ReportError, &e,3|16,buffer1, NULL,&ok );
+		SWI(3, 2, SWI_Wimp_ReportError, &e, 3 | 16, buffer1, NULL, &ok);
 
-		if ( ok!=1 )
-			return TRUE;	/* no! Pleeeeeease don't kill leeeeddle ol' me! */
+		if (ok != 1)
+			return TRUE;		/* no! Pleeeeeease don't kill leeeeddle ol' me! */
 	}
 	else
 	{
 		/*
-		 | Newer version: can add buttons to the dialog.
-		 | we add a 'Save and Quit' button to allow the shutdown to
-		 | continue /after/ saving.
+		   | Newer version: can add buttons to the dialog.
+		   | we add a 'Save and Quit' button to allow the shutdown to
+		   | continue /after/ saving.
 		 */
-		int		flags;
-		char	buttons[64];
+		int flags;
+		char buttons[64];
 
-		Msgs_Lookup( "err.shutbuts:Save & quit,Don't quit,Quit anyway",
-															buttons,64);
-		Msgs_Lookup( "err.shuttitl:Query from %s",e.errmess,64 );
-		sprintf(buffer1,e.errmess,VARIANT);
+		Msgs_Lookup("err.shutbuts:Save & quit,Don't quit,Quit anyway",
+					buttons, 64);
+		Msgs_Lookup("err.shuttitl:Query from %s", e.errmess, 64);
+		sprintf(buffer1, e.errmess, VARIANT);
 		Msgs_Lookup("err.shutdown:Unsaved game; are you sure you want to quit?",
-														e.errmess,260);
+					e.errmess, 260);
 		e.errnum = 0;
 
-		flags = 0 | 16 | 256 | (4<<9);
+		flags = 0 | 16 | 256 | (4 << 9);
 
-		SWI( 6,2, SWI_Wimp_ReportError, &e,flags,buffer1,ICONNAME,0,
-			buttons,  NULL,&ok );
+		SWI(6, 2, SWI_Wimp_ReportError, &e, flags, buffer1, ICONNAME, 0,
+			buttons, NULL, &ok);
 
-		if ( ok==4 )
-			return TRUE;	/* no! Pleeeeeease don't kill leeeeddle ol' me! */
+		if (ok == 4)
+			return TRUE;		/* no! Pleeeeeease don't kill leeeeddle ol' me! */
 
-		if ( ok==3 )
-			save_player();	/* Save & Quit */
+		if (ok == 3)
+			save_player();		/* Save & Quit */
 	}
 
 
 	/* RO2 doesn't use the shudown flag */
-	if ( shutdown && event_wimpversion>=300 && mb.header.size>=24 )
+	if (shutdown && event_wimpversion >= 300 && mb.header.size >= 24)
 	{
 		key_block kb;
-		kb.code = 0x1fc;	/* restart shutdown sequence */
-		Wimp_SendMessage( event_KEY, (message_block*) &kb, originator, 0 );
+		kb.code = 0x1fc;		/* restart shutdown sequence */
+		Wimp_SendMessage(event_KEY, (message_block *) & kb, originator, 0);
 	}
 
 	/* "Time... to die." */
 	Event_CloseDown();
 	exit(0);
-	return TRUE;		/* The one great certainty (sic) */
+	return TRUE;				/* The one great certainty (sic) */
 }
 
 
 
 
 
-static void initialise_terms( void )
+static void initialise_terms(void)
 {
 	char t[80];
 	int i;
 
 	/* Create a window for each term.  Term 0 is special (no scroll bars) */
-	data[0].w = Window_Create( "angband", template_TITLEMIN );
+	data[0].w = Window_Create("angband", template_TITLEMIN);
 	data[0].font = SYSTEM_FONT;
 	data[0].def_open = 1;
 	data[0].unopened = 1;
-	sprintf(t,"%s %s",VARIANT,VERSION);
-	Window_SetTitle( data[0].w, t );
-	strncpy(data[0].name,VARIANT,12);
-	Event_Claim( event_KEY, data[0].w, event_ANY, Hnd_Keypress,
-		(void*) &(data[0]) );
-	Event_Claim( event_REDRAW, data[0].w, event_ANY, Hnd_Redraw,
-		(void*) &(data[0]) );
-	Event_Claim( event_CLICK, data[0].w, event_ANY, Hnd_TermClick,
-		(void*) &(data[0]) );
-	Event_Claim( event_CLOSE, data[0].w, event_ANY, Hnd_MainClose, NULL );
+	sprintf(t, "%s %s", VARIANT, VERSION);
+	Window_SetTitle(data[0].w, t);
+	strncpy(data[0].name, VARIANT, 12);
+	Event_Claim(event_KEY, data[0].w, event_ANY, Hnd_Keypress,
+				(void *)&(data[0]));
+	Event_Claim(event_REDRAW, data[0].w, event_ANY, Hnd_Redraw,
+				(void *)&(data[0]));
+	Event_Claim(event_CLICK, data[0].w, event_ANY, Hnd_TermClick,
+				(void *)&(data[0]));
+	Event_Claim(event_CLOSE, data[0].w, event_ANY, Hnd_MainClose, NULL);
 
-	for ( i=1; i<MAX_TERM_DATA; i++ )
+	for (i = 1; i < MAX_TERM_DATA; i++)
 	{
-		data[i].w = Window_Create( "term", template_TITLEMIN );
+		data[i].w = Window_Create("term", template_TITLEMIN);
 		data[i].font = SYSTEM_FONT;
 		data[i].def_open = 0;
 		data[i].unopened = 1;
 #ifndef OLD_TERM_MENU
-		sprintf(t,"%s (%s %s)",angband_term_name[i],VARIANT,VERSION);
+		sprintf(t, "%s (%s %s)", angband_term_name[i], VARIANT, VERSION);
 #else
-		sprintf(t,"Term-%d (%s %s)",i,VARIANT,VERSION);
+		sprintf(t, "Term-%d (%s %s)", i, VARIANT, VERSION);
 #endif
-		Window_SetTitle( data[i].w, t );
-		strncpy(data[i].name,t,12);
-		Event_Claim( event_CLICK, data[i].w, event_ANY, Hnd_TermClick,
-			(void*) &(data[i]) );
-		Event_Claim( event_REDRAW, data[i].w, event_ANY, Hnd_Redraw,
-			(void*) &(data[i]) );
+		Window_SetTitle(data[i].w, t);
+		strncpy(data[i].name, t, 12);
+		Event_Claim(event_CLICK, data[i].w, event_ANY, Hnd_TermClick,
+					(void *)&(data[i]));
+		Event_Claim(event_REDRAW, data[i].w, event_ANY, Hnd_Redraw,
+					(void *)&(data[i]));
 	}
 
-	term_data_link( &(data[0]), 256 );
+	term_data_link(&(data[0]), 256);
 
-	for ( i=1 ; i<MAX_TERM_DATA ; i++ )
+	for (i = 1; i < MAX_TERM_DATA; i++)
 	{
-		term_data_link( &(data[i]), 16 );
+		term_data_link(&(data[i]), 16);
 		angband_term[i] = &(data[i].t);
 	}
 
 	angband_term[0] = &(data[0].t);
-	Term_activate( &(data[0].t) );
+	Term_activate(&(data[0].t));
 }
 
 
 
 
 /*
  | Hack(ish) - determine the version of RISC OS
  */
-static int os_version( void )
+static int os_version(void)
 {
 	int osv;
-	SWI( 3,2, SWI_OS_Byte, 129,0,255, NULL, &osv );
-	switch ( osv )
+	SWI(3, 2, SWI_OS_Byte, 129, 0, 255, NULL, &osv);
+	switch (osv)
 	{
-		case 0xa0 : return 120;
-		case 0xa1 : return 200;
-		case 0xa2 : return 201;
-		case 0xa3 : return 300;
-		case 0xa4 : return 310;
-		case 0xa5 : return 350;
-		case 0xa6 : return 360;
-		case 0xa7 : return 370;
-		case 0xa8 : return 400;
-		default   : return 370;
+		case 0xa0: return 120;
+		case 0xa1: return 200;
+		case 0xa2: return 201;
+		case 0xa3: return 300;
+		case 0xa4: return 310;
+		case 0xa5: return 350;
+		case 0xa6: return 360;
+		case 0xa7: return 370;
+		case 0xa8: return 400;
+		default: return 370;
 	}
-	return -1;		/* -sigh- */
+	return -1;					/* -sigh- */
 }
 
 /*
  | Determine whether the current screen mode is "high-res"
  | (ie. should we use the "Sprites22" or the "Sprites" file.
  */
-static int sprites22( void )
+static int sprites22(void)
 {
 	int yeig;
 
-	OS_ReadModeVariable( -1, modevar_YEIGFACTOR, &yeig );
+	OS_ReadModeVariable(-1, modevar_YEIGFACTOR, &yeig);
 
 	return yeig < 2;
 }
 
 /*
  | Determine whether we should use 2D or 3D templates.
  | 2D templates *must* be used under Wimp <3.00, but under RO3 we
  | use the CMOS settings to decide.
  */
-static int templates2d( void )
+static int templates2d(void)
 {
-	int r1,r2;
+	int r1, r2;
 
-	if ( event_wimpversion < 300 )
+	if (event_wimpversion < 300)
 		return TRUE;
 
 	/* The 3D bit is bit 0 of byte 140 */
-	OS_Byte( osbyte_READCMOSRAM,140,0, &r1, &r2 );
+	OS_Byte(osbyte_READCMOSRAM, 140, 0, &r1, &r2);
 
-	return ! (r2 && 1);
+	return !(r2 && 1);
 }
 
 
 
 
-static unsigned int htoi( char *s )
+static unsigned int htoi(char *s)
 {
-	const static char hex[]="0123456789ABCDEF";
+	const static char hex[] = "0123456789ABCDEF";
 	unsigned int v = 0;
-	while ( *s )
+	while (*s)
 	{
 		char *m;
-		int d = toupper( *s++ );
-		m = strchr( hex, d );
-		if ( !m ) { return v; }
-		v = (v<<4) + (m-hex);
+		int d = toupper(*s++);
+		m = strchr(hex, d);
+		if (!m)
+		{
+			return v;
+		}
+		v = (v << 4) + (m - hex);
 	}
 	return v;
 }
 
-static int read_unsigned( char *t )
+static int read_unsigned(char *t)
 {
 	int r;
-	if ( SWI( 2,3, SWI_OS_ReadUnsigned, 2, t, NULL, NULL, &r ) )
+	if (SWI(2, 3, SWI_OS_ReadUnsigned, 2, t, NULL, NULL, &r))
 		r = 0;
 	return r;
 }
 
 /*
  | Scan the string at 'n', replacing dodgy characters with underbars
  */
-static void sanitise_name( char *n )
+static void sanitise_name(char *n)
 {
-	for ( ; *n ; n++ )
+	for (; *n; n++)
 	{
-		if ( strchr( "\"$%^&*\\\'@#.,", *n ) )
+		if (strchr("\"$%^&*\\\'@#.,", *n))
 			*n = '_';
 	}
 }
 
 
@@ -4158,103 +4406,109 @@
  | Ie. if |p| = "a.b.c.d" then we attempt to
  | create directories a, a.b and a.b.c if they don't
  | already exist.
  | Note that 'd' may be absent.
  */
-static int ensure_path( char *p )
+static int ensure_path(char *p)
 {
 	char tmp[260];
 	char *l = tmp;
 
-	while ( *p )
+	while (*p)
 	{
-		if ( *p == '.' )
+		if (*p == '.')
 		{
-			*l=0;
-			if ( SWI( 5,0, SWI_OS_File, 8, tmp, 0,0, 77 ) )
-				return 0;			/* Eeek! */
+			*l = 0;
+			if (SWI(5, 0, SWI_OS_File, 8, tmp, 0, 0, 77))
+				return 0;		/* Eeek! */
 		}
 		*l++ = *p++;
 	}
 
 	return 1;
 }
 
 
 /*
- | Set up the Scrap, Choices and Alarm paths, trying for
- | Choices:blah...,etc.  by preference, but falling back on lib/xtra
- | if need be.
+ * Set up the Scrap, Choices and Alarm paths, trying for
+ * Choices:blah...,etc.  by preference, but falling back on lib/xtra
+ * if need be.
  */
-static void init_paths( void )
+static void init_paths(void)
 {
 	char tmp[512];
 	char subpath[128];
 	char *v;
 	char *t;
 
 	/* Form the sub-path we use for both Choices and Scrap dirs: */
-	v = subpath + sprintf(subpath,"%s",VARIANT);
+	v = subpath + sprintf(subpath, "%s", VARIANT);
 	sanitise_name(subpath);
-	sprintf(v,".%s",VERSION);
-	sanitise_name(v+1);
+	sprintf(v, ".%s", VERSION);
+	sanitise_name(v + 1);
 
 	/* Do the Scrap path first: */
-	*scrap_path=0;
+	*scrap_path = 0;
 
 	/* Try for Wimp$ScrapDir... */
 	t = getenv("Wimp$ScrapDir");
-	if ( t && *t )
+	if (t && *t)
 	{
-		sprintf(tmp,"%s.AngbandEtc.%s.",t,subpath);
-		if ( ensure_path(tmp) ) { strcpy(scrap_path,tmp); }
+		sprintf(tmp, "%s.AngbandEtc.%s.", t, subpath);
+		if (ensure_path(tmp))
+		{
+			strcpy(scrap_path, tmp);
+		}
 	}
 
 	/* Couldn't use Wimp$ScrapDir, so fall back on lib.xtra.scrap */
-	if ( !*scrap_path )
+	if (!*scrap_path)
 	{
-		sprintf(tmp,"%sxtra.scrap.",resource_path);
-		if ( ensure_path(tmp) ) { strcpy(scrap_path,tmp); }
+		sprintf(tmp, "%sxtra.scrap.", resource_path);
+		if (ensure_path(tmp))
+		{
+			strcpy(scrap_path, tmp);
+		}
 	}
 
 	/* Now set up the Choices and Alarm files: */
 
 	/* Read only Choices file is always lib.xtra.Choices */
-	sprintf( choices_file[CHFILE_READ],"%sXtra.Choices",resource_path);
+	sprintf(choices_file[CHFILE_READ], "%sXtra.Choices", resource_path);
 	/* Default writable Choices file is the same */
-	strcpy( choices_file[CHFILE_WRITE], choices_file[CHFILE_READ] );
+	strcpy(choices_file[CHFILE_WRITE], choices_file[CHFILE_READ]);
 	/* No default mirror Choices file */
-	strcpy( choices_file[CHFILE_MIRROR], "" );
+	strcpy(choices_file[CHFILE_MIRROR], "");
 
 	/* Read only Alarm file is always  lib.xtra.Alarm */
-	sprintf( alarm_file[CHFILE_READ],"%sXtra.Alarm",resource_path);
+	sprintf(alarm_file[CHFILE_READ], "%sXtra.Alarm", resource_path);
 	/* Default writable Alarm file is the same */
-	strcpy( alarm_file[CHFILE_WRITE], alarm_file[CHFILE_READ] );
+	strcpy(alarm_file[CHFILE_WRITE], alarm_file[CHFILE_READ]);
 
 	/* Try to use Choices$Path, etc. for the others... */
 
-	t = getenv("Choices$Write");					/* Ie. where choices should be written */
-	if ( t && *t )
+	t = getenv("Choices$Write");	/* Ie. where choices should be written */
+	if (t && *t)
 	{
 		/* Choices file: */
-		sprintf(tmp,"%s.AngbandEtc.%s",t,subpath);
-		if ( ensure_path(tmp) )
+		sprintf(tmp, "%s.AngbandEtc.%s", t, subpath);
+		if (ensure_path(tmp))
 		{
 			/* Use for writable file: */
-			strcpy( choices_file[CHFILE_WRITE], tmp );
+			strcpy(choices_file[CHFILE_WRITE], tmp);
 			/* Form 'mirror' filename: same path but with a fixed leafname */
-			strcpy( v+1,"Default" );
-			sprintf(tmp,"%s.AngbandEtc.%s",t,subpath);
-			strcpy( choices_file[CHFILE_MIRROR], tmp );
+			strcpy(v + 1, "Default");
+			sprintf(tmp, "%s.AngbandEtc.%s", t, subpath);
+			strcpy(choices_file[CHFILE_MIRROR], tmp);
 		}
 
 		/* Alarm file (doesn't involve subpath) */
-		sprintf(tmp,"%s.AngbandEtc.Global.Alarm",t);
-		if ( ensure_path(tmp) )
+		sprintf(tmp, "%s.AngbandEtc.Global.Alarm", t);
+		if (ensure_path(tmp))
 		{
 			/* Use for read/writable file */
-			strcpy( alarm_file[CHFILE_WRITE], tmp );
+			strcpy(alarm_file[CHFILE_WRITE], tmp);
 		}
 	}
 }
 
 
@@ -4262,143 +4516,173 @@
 
 
 
 
 /*
- | Return the appropriate (full) pathname.
- |
- | For write ops, the read/write file is returned.
- |
- | For read ops, either the read/write file, the mirror file,
- | or the read only file will be returned as appropriate.
+ * Return the appropriate (full) pathname.
+ *
+ * For write ops, the read/write file is returned.
+ *
+ * For read ops, either the read/write file, the mirror file,
+ * or the read only file will be returned as appropriate.
  */
-static char *find_choices( int write )
+static char *find_choices(int write)
 {
-	if ( write )
+	if (write)
 		return choices_file[CHFILE_WRITE];
-	if ( myFile_Size(choices_file[CHFILE_WRITE]) > 0 )
+
+	if (myFile_Size(choices_file[CHFILE_WRITE]) > 0)
 		return choices_file[CHFILE_WRITE];
-	if ( myFile_Size(choices_file[CHFILE_MIRROR]) > 0 )
+
+	if (myFile_Size(choices_file[CHFILE_MIRROR]) > 0)
 		return choices_file[CHFILE_MIRROR];
+
 	return choices_file[CHFILE_READ];
 }
 
-static char *find_choices_mirror( void )
+static char *find_choices_mirror(void)
 {
 	return choices_file[CHFILE_MIRROR];
 }
 
-static char *find_alarmfile( int write )
+static char *find_alarmfile(int write)
 {
-	if ( write )
+	if (write)
 		return alarm_file[CHFILE_WRITE];
-	if ( myFile_Size(alarm_file[CHFILE_WRITE]) > 0 )
+
+	if (myFile_Size(alarm_file[CHFILE_WRITE]) > 0)
 		return alarm_file[CHFILE_WRITE];
+
 	return alarm_file[CHFILE_READ];
 }
 
 
 
 
-
-
-int main( int argc, char *argv[] )
+int main(int argc, char *argv[])
 {
-	int  i,j;
-	int  start_full = 0;
-	char *arg_savefile=0;
+	int i, j;
+	int start_full = 0;
+	char *arg_savefile = 0;
 	char *t;
-	int  da_font=1, da_game=1;
-
+	int da_font = 1, da_game = 1;
 
-	atexit( final_acn );	/* "I never did care about the little things." */
+	atexit(final_acn);			/* "I never did care about the little things." */
 
 	Start_Hourglass;
 
 	/* Parse arguments */
-	for ( i=1; i<argc; i++ )
+	for (i = 1; i < argc; i++)
 	{
-		if ( argv[i][0] =='-' )
+		if (argv[i][0] == '-')
 		{
-			switch ( tolower(argv[i][1]) )
+			switch (tolower(argv[i][1]))
 			{
-				case 'm' :		/* -minimise_memory */
+				case 'm':
+				{
+					/* Minimise Memory */
 					minimise_memory = 1;
+
+					/* Break */
 					break;
-				case 'c' :		/* -c[a][s][f][<n>] */
-					for ( j=2; argv[i][j] ; j++ )
+				}
+				case 'c':		/* -c[a][s][f][<n>] */
+					for (j = 2; argv[i][j]; j++)
 					{
 						int on = isupper(argv[i][j]);
-						switch ( tolower(argv[i][j]) )
+
+						switch (tolower(argv[i][j]))
 						{
-							case 'a' : abbr_filecache = on && ALLOW_ABBR_FILECACHE; break;
-							case 's' : smart_filecache = on; break;
-							case 'f' : abbr_tmpfile = on && ALLOW_ABBR_FILECACHE; break;
-							case 'p' : flush_scrap = !on; break;
-							default :
-								if ( isdigit(argv[i][j]) )
+#ifdef ABBR_FILECACHE
+							case 'a': abbr_filecache =
+									on;
+								break;
+							case 'f': abbr_tmpfile =
+									on;
+								break;
+#endif
+#ifdef SMART_FILECACHE
+							case 's': smart_filecache =
+									on;
+								break;
+#endif
+
+							case 'p': flush_scrap =
+									!on;
+								break;
+
+							default:
+								if (isdigit(argv[i][j]))
 								{
-									max_file_cache_size = atoi(argv[i]+j)<<10;
-									while ( isdigit(argv[i][++j]) )
+									max_file_cache_size =
+										atoi(argv[i] + j) << 10;
+									while (isdigit(argv[i][++j]))
 										;
-									if ( max_file_cache_size<= 0 ) { use_filecache = 0; }
+									if (max_file_cache_size <= 0)
+									{
+										use_filecache = 0;
+									}
 									j--;
 								}
 								else
 								{
-									fprintf(stderr,"Unrecognised option: -c%s",argv[i]+j);
+									fprintf(stderr, "Unrecognised option: -c%s",
+											argv[i] + j);
 									exit(EXIT_FAILURE);
 								}
 						}
 					}
 					break;
-				case 'w' :	/* -waitrelease */
+				case 'w':		/* -waitrelease */
 					hack_flush = 1;
 					break;
-				case 'e' :		/* -Evil */
+				case 'e':		/* -Evil */
 					allow_iclear_hack = 1;
 					break;
-				case 's' :		/* -s<savefile> */
-					if ( argv[i][2] )
-						arg_savefile = argv[i]+2;
+				case 's':		/* -s<savefile> */
+					if (argv[i][2])
+						arg_savefile = argv[i] + 2;
 					break;
-				case 'f' :		/* -fullscreen */
+				case 'f':		/* -fullscreen */
 					start_full = 1;
 					break;
-				case 'h' :		/* -hourglass */
+				case 'h':		/* -hourglass */
 					use_glass = 1;
 					break;
-				case 't' :		/* -T<filetype> */
-					if ( argv[i][2] )
-						vfiletype = htoi( argv[i]+2 );
+				case 't':		/* -T<filetype> */
+					if (argv[i][2])
+						vfiletype = htoi(argv[i] + 2);
 					break;
-				case 'd' :		/* -df, -dg, -dc or -d : disable DAs */
-					switch ( tolower(argv[i][2]) )
+				case 'd':		/* -df, -dg, -dc or -d : disable DAs */
+					switch (tolower(argv[i][2]))
 					{
-						case 0 : /* -d => disable both */
-							da_font = da_game = 0; break;
-						case 'f' :		/* -df => disable font only */
-							da_font = 0; break;
-						case 'g' :		/* -dg => disable game only */
-							da_game = 0; break;
+						case 0:	/* -d => disable both */
+							da_font = da_game = 0;
+							break;
+						case 'f':	/* -df => disable font only */
+							da_font = 0;
+							break;
+						case 'g':	/* -dg => disable game only */
+							da_game = 0;
+							break;
 					}
 					break;
-				case '%' :			/* -%<debug_opts> */
-					{
-						int v = read_unsigned(argv[i]+2);
-						log_g_malloc = v & 1;
-						show_sound_alloc = v & 2;
-					}
+				case '%':		/* -%<debug_opts> */
+				{
+					int v = read_unsigned(argv[i] + 2);
+					log_g_malloc = v & 1;
+					show_sound_alloc = v & 2;
+				}
 					break;
 				default:
-					fprintf(stderr,"Unrecognised option: %s",argv[i]);
+					fprintf(stderr, "Unrecognised option: %s", argv[i]);
 					exit(EXIT_FAILURE);
 			}
 		}
 	}
 
-	init_memory(da_font,da_game);	/* Set up dynamic areas, etc. if possible */
+	init_memory(da_font, da_game);	/* Set up dynamic areas, etc. if possible */
 
 	/* Install memory allocation hooks */
 	ralloc_aux = g_malloc;
 	rnfree_aux = g_free;
 
@@ -4406,60 +4690,64 @@
 	quit_aux = quit_hook;
 	plog_aux = plog_hook;
 	core_aux = core_hook;
 
 	/* Expand the (Angband) resource path */
-	t = getenv( RESPATH );
-	if ( !t || !*t ) { Msgs_ReportFatal( 0,"%s is not defined",RESPATH ); }
-	strcpy(resource_path,t);
+	t = getenv(RISCOS_VARIANT "$Path");
+	if (!t || !*t) Msgs_ReportFatal(0, "A resources path could not be formed.");
+	strcpy(resource_path, t);
 
 	/* Decide where scrap, choices and alarm files live: */
 	init_paths();
 
 	/* Hack: if no savefile specified, use a default */
-	if ( !arg_savefile )
+	if (!arg_savefile)
 	{
-		arg_savefile = malloc(strlen(resource_path)+32);
-		if ( !arg_savefile ) { Msgs_ReportFatal( 0,"err.mem" ); }
-		sprintf(arg_savefile,"%s%s",resource_path,">Save.Savefile");
+		arg_savefile = malloc(strlen(resource_path) + 32);
+		if (!arg_savefile)
+		{
+			Msgs_ReportFatal(0, "err.mem");
+		}
+		sprintf(arg_savefile, "%s%s", resource_path, ">Save.Savefile");
 	}
 
 	/* This crap appears here so that plog() will work properly before
 	   init_acn() is called... */
-	Resource_Initialise( RESDIR );
+	Resource_Initialise(RISCOS_VARIANT);
 	Msgs_LoadFile("Messages");
 
 	/* This is a hack to only call Event_Initialise3 under RO3 */
-	if ( os_version() < 300 )
-		Event_Initialise( VARIANT );
+	if (os_version() < 300)
+		Event_Initialise(RISCOS_VARIANT);
 	else
-		Event_Initialise3( VARIANT, 300, message_list );
+		Event_Initialise3(RISCOS_VARIANT, 300, message_list);
 
 	EventMsg_Initialise();
 
 	/*
-	 | This is a possible workaround for the FP regs getting
-	 | bolloxed in the ! menu because the compiler sets them
-	 | up before a call to Wimp_Poll if CSE optimisation is on.
-	 | At the moment I've just turned off CSE for the function
-	 | affected.
-	 |
-	 | event_mask.data.keepfpregisters = 1;
+	   | This is a possible workaround for the FP regs getting
+	   | bolloxed in the ! menu because the compiler sets them
+	   | up before a call to Wimp_Poll if CSE optimisation is on.
+	   | At the moment I've just turned off CSE for the function
+	   | affected.
+	   |
+	   | event_mask.data.keepfpregisters = 1;
 	 */
 
 	/* Load Templates */
 	Template_Initialise();
-	if ( templates2d() )
+	if (templates2d())
 		Template_LoadFile("Templates2");
 	else
 		Template_LoadFile("Templates");
 
 	/* Load Sprites */
-	if ( sprites22() )
-		resource_sprites = Sprite_LoadFile( "<" RESDIR "$Dir>.Sprites22" );
+	if (sprites22())
+		resource_sprites =
+			Sprite_LoadFile("<" RISCOS_VARIANT "$Dir>.Sprites22");
 	else
-		resource_sprites = Sprite_LoadFile( "<" RESDIR "$Dir>.Sprites" );
+		resource_sprites = Sprite_LoadFile("<" RISCOS_VARIANT "$Dir>.Sprites");
 
 	Screen_CacheModeInfo();
 
 	/* Initialise some ZapRedraw stuff */
 	initialise_palette();
@@ -4469,23 +4757,23 @@
 	/* Initialise some Wimp specific stuff */
 	init_gamma_window();
 	init_sound_window();
 	init_save_window();
 	init_menus();
-	ibar_icon = Icon_BarIcon( ICONNAME, iconbar_RIGHT );
+	ibar_icon = Icon_BarIcon(ICONNAME, iconbar_RIGHT);
 
 	/* Global handlers */
-	Event_Claim( event_OPEN, event_ANY, event_ANY, Handler_OpenWindow, NULL );
-	Event_Claim( event_CLOSE, event_ANY, event_ANY, Handler_CloseWindow, NULL );
-	Event_Claim( event_GAINCARET, event_ANY, event_ANY, Hnd_Caret, (void*)1 );
-	Event_Claim( event_LOSECARET, event_ANY, event_ANY, Hnd_Caret, (void*)0 );
-	Event_Claim( event_MENU, event_ANY, event_ANY, Hnd_MenuSel, NULL );
-	Event_Claim( event_CLICK, window_ICONBAR, ibar_icon, Hnd_IbarClick, NULL );
-	Event_Claim( event_CLICK, event_ANY, event_ANY, Hnd_Click, NULL );
-	EventMsg_Claim( message_PALETTECHANGE, event_ANY, Hnd_PaletteChange, NULL );
-	EventMsg_Claim( message_MODECHANGE, event_ANY, Hnd_ModeChange, NULL );
-	EventMsg_Claim( message_PREQUIT, event_ANY, Hnd_PreQuit, NULL );
+	Event_Claim(event_OPEN, event_ANY, event_ANY, Handler_OpenWindow, NULL);
+	Event_Claim(event_CLOSE, event_ANY, event_ANY, Handler_CloseWindow, NULL);
+	Event_Claim(event_GAINCARET, event_ANY, event_ANY, Hnd_Caret, (void *)1);
+	Event_Claim(event_LOSECARET, event_ANY, event_ANY, Hnd_Caret, (void *)0);
+	Event_Claim(event_MENU, event_ANY, event_ANY, Hnd_MenuSel, NULL);
+	Event_Claim(event_CLICK, window_ICONBAR, ibar_icon, Hnd_IbarClick, NULL);
+	Event_Claim(event_CLICK, event_ANY, event_ANY, Hnd_Click, NULL);
+	EventMsg_Claim(message_PALETTECHANGE, event_ANY, Hnd_PaletteChange, NULL);
+	EventMsg_Claim(message_MODECHANGE, event_ANY, Hnd_ModeChange, NULL);
+	EventMsg_Claim(message_PREQUIT, event_ANY, Hnd_PreQuit, NULL);
 
 	/* Initialise the sound stuff */
 	initialise_sound();
 
 	/* Initialise some Angband stuff */
@@ -4498,55 +4786,56 @@
 
 	/* Hack - override the saved options if -F was on the command line */
 	start_fullscreen |= start_full;
 
 	/* hack so that the cursor is yellow if undefined */
-	if ( palette[CURSOR_COLOUR] == palette[0] )
+	if (palette[CURSOR_COLOUR] == palette[0])
 	{
-		angband_color_table[CURSOR_COLOUR][1] = (CURSOR_RGB & 0xff00)>>8;
-		angband_color_table[CURSOR_COLOUR][2] = (CURSOR_RGB & 0xff0000)>>16;
-		angband_color_table[CURSOR_COLOUR][3] = (CURSOR_RGB & 0xff000000)>>24;
+		angband_color_table[CURSOR_COLOUR][1] = (CURSOR_RGB & 0xff00) >> 8;
+		angband_color_table[CURSOR_COLOUR][2] = (CURSOR_RGB & 0xff0000) >> 16;
+		angband_color_table[CURSOR_COLOUR][3] = (CURSOR_RGB & 0xff000000) >> 24;
 	}
 
 	/* Catch nasty signals */
 	signals_init();
 	/* use pref-acn.prf */
 	ANGBAND_SYS = "acn";
 
-	if ( start_fullscreen )
+	if (start_fullscreen)
 	{
 		enter_fullscreen_mode();
 	}
 	else
 	{
-		Start_Hourglass;			/* Paranoia */
-		Hnd_ModeChange( NULL, NULL );/* Caches the various fonts/palettes */
+		Start_Hourglass;		/* Paranoia */
+		Hnd_ModeChange(NULL, NULL);	/* Caches the various fonts/palettes */
 		show_windows();
 		grab_caret();
 		/* Wait for a null poll so that the windows can appear */
 		do
 		{
 			event_pollmask old_mask = event_mask;
 			event_mask.data.null = 0;
 			Event_Poll();
 			event_mask = old_mask;
-		} while ( event_lastevent.type != 0 );
+		}
+		while (event_lastevent.type != 0);
 	}
 
 	/* Initialise Angband */
 	Start_Hourglass;			/* Paranoia */
-	strcpy(savefile, unixify_name(arg_savefile) );
-	use_sound=1;
+	strcpy(savefile, unixify_name(arg_savefile));
+	use_sound = 1;
 	init_angband();
 	initialised = 1;
 	game_in_progress = 1;
-	pause_line(Term->hgt - 1);
+	pause_line(23);
 	flush();
 	/* Stop_Hourglass; */
 	play_game(FALSE);
 
-	if ( fullscreen_mode )
+	if (fullscreen_mode)
 		leave_fullscreen_mode();
 
 	Stop_Hourglass;
 	quit(NULL);
 
@@ -4573,17 +4862,17 @@
 
 static errr Term_xtra_acn_checkFS(void);
 static errr Term_xtra_acn_eventFS(void);
 static errr Term_xtra_acn_reactFS(int force);
 static errr Term_curs_acnFS(int x, int y);
-static errr Term_xtra_acn_clearFS( void );
+static errr Term_xtra_acn_clearFS(void);
 static errr Term_xtra_acnFS(int n, int v);
 static errr Term_wipe_acnFS(int x, int y, int n);
 static errr Term_text_acnFS(int x, int y, int n, byte a, cptr s);
-static void bored( void );
-static void redraw_areaFS( int x, int y, int w, int h );
-static void draw_cursor( int x, int y );
+static void bored(void);
+static void redraw_areaFS(int x, int y, int w, int h);
+static void draw_cursor(int x, int y);
 
 /*
  | We use this to keep the mouse in the same place on return from full-screen
  | mode.
  */
